Subject: C67x00 USB problems

From: "David H. Lynch Jr." <[email-masked]>
Date: Sun, 21 Sep 2008 02:05:43 -0400

Good news - works.
    Bad news - sort of.

    I am using the C67x00_HCD driver from 2.6.24 mainline.
   
    If I kill off installing the interrupt handler and just poll it.
    I can get the first port working - fairly slowly.

    If I enable the interrupt handler I get lots of messages from the
Kernel about unhandled IRQ's and then the Kernel disables
    the IRQ. Although sometimes I just get a kernel panic when loading
the driver.

    The only way out of the irq handler without handling the IRQ is

     // printk(KERN_ERR "c67x00_irq()00\n");
    int_status = c67x00_ll_hpi_status(c67x00);
    if (!int_status)
        return IRQ_NONE;

    But if that is failing then why are things working when polled ?

    Clues would be greatly appreciated ?

    Is there any interest in a patch to support polling the USB driver ?

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein